Subject: bug#71282: 30.0.50; hl-line overlay priority has no affect

From: Eli Zaretskii <[email-masked]>
Date: Sun, 30 Jun 2024 18:37:40 +0300

> From: Mohsin Kaleem <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Sun, 30 Jun 2024 16:21:05 +0100
> 
> Going to back to the original discussion is there a reason
> before-strings in overlays don't respect priorities? I realise it's
> documented but I'm more curious about the why than the what? Was there a
> use case for these properties in overlays to not be overridable (which
> from what I understand is the reason for this conflict between hl-line and
> overlay annotations is happening).

I thought I explained that: priorities are a way of determining which
overlay "wins" when several overlays affect the same text and provide
different values for the same properties.  But in this case, each
overlay affects different text, so there's no need to consider
priorities, and therefore Emacs doesn't.